/* @override http://127.0.0.1/SitiPicov/ItalianoInteriors/www.italianointeriors.com/css/forms.css */

/* Form reset */
form, input, button, select, textarea { margin: 0; padding: 0;
}
.section form p {
	padding: 0;
	margin: 0;
	border: 0px;
}

form {
	text-align: left;
	overflow: hidden; /* (oppure auto) FIX SAFARI/FIREFOX su altezza del DIV < contenuto */
	font-family: open_sansregular, sans-serif;
	font-size: 10px;
	color: #fff;
	line-height: 16px;
}
form hr {
	border: 0;
	border-top: 1px #ccc solid;
	height: 1px;
}



/* Stili delle aree del layout*/

/* Se uso i tag var,big,small anzichè i div con class devo prima annullare le loro formattazioni di default*/
form var {
	font-style: normal;
}
form var big, form var small {
	font-size: inherit;
}


form var,
form div.formfield {
	display: block;
	float: left;
	width: 100%; /* FIX IE 6 */
	padding: 1px;
	padding-left: 0;
	padding-right: 0;
}

/* area dove metto i bottoni con le azioni */
form var.form-actions {
	text-align: right;
}

form var big,
form div.formfield-label {
	/* font-size: inherit; per sovrascrivere il big */
	float1: left;
	width1: 20%;
	padding: 4px;
	margin-top: 5px; /* dipende dall'altezza,margini e padding dei campi di input*/
}
form var big label,
form div.formfield-label label {
	font-weight: normal;
}
form var big cite,
form div.formfield-label p {
	display: block;
	color: #fff;
	font-weight: normal;
	text-align: center;
	padding-top: 6px;
	font-size: 10px;
}

form var small,
form div.formfield-data {
	display: block;
	float1: left;
	width1: 50%;
	padding: 2px;
	padding-top: 0px;
	margin: 0px;
	padding-bottom: 4px;
}
form var small.multiple-row-fields {
	position: relative;
}

/* label interni se su una riga ci sono più campi */
form var small label {
	font-size: 11px;
	font-weight: bold;
	/* position1: relative;  Fix IE6 */
	/* top1:-3px; Fix IE6 */	
}
form var small label.last-row-label {
	position: absolute;
	top: 9px; /* adattamento in altezza agli altri campi della riga */
	right:14%;
}
form var small input.last-row-field {
	position: absolute;
	right:-2px; /* adattamento al margine dx dei campi singoli*/
	width:12%; /* customize in HTML style for different last fields*/
	/* top1: 5px;  FIX IE 6*/
}


form var small cite,
form div.formfield-note {
	display: block;
	padding-top: 2px;
	color: #fff;
	font-size: 10px;
}
form var small span {
	margin-left: 3px;
}

form div.formfield .error {
	border:  2px red dashed;
	background-color: lightyellow;
}
form div.formfield .error div.formfield-note {
	color: red;
	font-weight: bold;
}
form div.formfield .required {
	border:  1px #000 solid;
	background-color: lightgrey;
}


form fieldset {
}
form fieldset legend {
  	font-weight: bold;
	color: #fff;
	border: 1px solid #ccc;
	padding: 4px 16px;
}
/* Field set interni la div data ES: gruppi opzioni o pulsanti */
form div.formfield-data fieldset {
	float: left;
	width: auto; /* Patch IE6 */
}




/* Stili dei campi del form */
form input {
	color: #fff;
	font: 12px Verdana, sans-serif;
}
form input.align-left {
	text-align: left;
}
form input.align-center {
	text-align: center;
}
form input.align-right {
	text-align: right;
}
form select {
	width: 96%;
}
form select.popup {
	margin: 0;
	padding: 0;
	margin-top: 2px;
	background-color: #111;
	border: 1px #292a2e solid;
	color: #fff;
	height: 26px;
}
form select.listbox {
	background-color: lightcoral;
}

form textarea {
	font-family: inherit;
	font-size: 12px;
	width: 96%;
	border:  1px #292a2e solid;
	padding: 4px;
	background-color: #191d20;
	color: #fff;

	vertical-align: top; /* mette il * in alto */
}

form input.text {
	width: 100%;
	height: 20px;
	border: 0;
	border:  1px #292a2e solid;
	padding: 2px;
	background-color: #191d20;
}
form input.password {
	width: 60%;
	height: 16px;
	border: 0;
	border:  1px #cfcfcf solid;
	padding: 2px;
	background-color: lightyellow;
}

form input.text:focus,
form textarea:focus {
	background-color: #4a4a4c;
}
form input.checkbox {
	margin: 6px;
	vertical-align: middle;
}
form input.radio {
	margin: 6px;
	margin-top: 3px; /* verificare */
	vertical-align: middle;
}
form input.file {
}
form input.image {
	margin: 5px;
}

form input.button, form button {
	font-size: 9px;
	font-weight: bold;
	border: 0;
	color: #fff;
	background: #3f2822 url('../img/freccia_link_box.gif') no-repeat right center;
	padding: 10px;
	padding-left: 6px;
	padding-right: 20px;
	margin-right: 10px;
	cursor: pointer;

	border: 1px #292a2e solid;
	background-color: #191d20;

}

form input.submit{
}
form input.reset {
}



/* Sovrascrivo gli stili per gli elementi specifici dei vari form */
#UserLogin input.submit {
	margin-top: 4px;
	margin-right: 6px;
}
#UserLogin var small {
	width: 65%;
}
#UserLogin input.text {
	width: 100%;
}
#PasswordRetrieve input.text {
	width: 96%;
}
#UserRegistration input.text {
	width: 96%;
}
#UserEditing input.text {
	width: 96%;
}

#FormContatti input.text {
	width: 96%;
}

#ForumMessageInput input.text {
	width: 96%;	
}




.form-error {
	border: 1px red dashed;
	padding: 4px;
	margin: 0px;
	margin-top: 4px;
	margin-bottom: 8px;
	background-color: lightyellow;
}
.form-error h3 {
	border: 0;
	margin: 0;
	padding: 0;
	padding-bottom: 4px;
	font-size: 12px;
	color: #f10915;
}
.form-error p {
	border: 0;
	margin: 0;
	padding: 0;
	line-height: normal;
}

.form-message {
	border: 1px green dashed;
	padding: 4px;
	margin: 0px;
	margin-top: 4px;
	margin-bottom: 8px;
	background-color: lightyellow;
}
.form-message h3 {
	border: 0;
	margin: 0;
	padding: 0;
	padding-bottom: 4px;
	font-size: 12px;
	color: #6c89a4;
}
.form-message p {
	border: 0;
	margin: 0;
	padding: 0;
	color: #666;
	line-height: normal;
}

/* box con dati utente autenticato*/
.userdata {
	line-height: 120%;
	color: #1b5784;
}

.userdata p {
	margin: 0;
	padding: 0;
}
.userdata strong {
	line-height: 150%;
	font-size: 110%;
	color: #082d4e;
}
.userdata em {
	
}


